services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  App\DAV\Controller\:
    resource: '../src/DAV/Controller/*'
    tags: ['controller.service_arguments']

  App\DAV\Repository\:
    resource: '../src/DAV/Repository/*'
    public: true

  App\DAV\Security\:
    resource: '../src/DAV/Security/*'

  App\DAV\Form\CalendarInstanceNewShareType:
    tags: [form.type]

  App\DAV\Form\CalendarInstanceEditShareOriginType:
    tags: [form.type]

  App\DAV\Form\CalendarInstanceEditShareUserType:
    tags: [form.type]

  dav_logger:
    class: Monolog\Logger
    arguments: ['request_response']
    calls:
      - method: pushHandler
        arguments:
          - '@dav_logger_handler'

  dav_logger_handler:
    class: Monolog\Handler\StreamHandler
    arguments: ['%kernel.logs_dir%/dav.log', 'debug']